mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.MarshalByRefObject System.Runtime.Remoting.Lifetime.ISponsor System.Runtime.InteropServices.ComVisible(true)

The current lifetime sponsor implementation can be used to sponsor objects by specifying the required renewal .

This class makes a link demand and an inheritance demand at the class level. A is thrown when either the immediate caller or the derived class does not have infrastructure permission. For details about security demands, see [<topic://cpconLinkDemands>] and [<topic://cpconInheritanceDemands>].

Provides a default implementation for a lifetime sponsor class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The default time by which the lifetime of a sponsored object is increased when renewal is requested to 2 minutes. For more information on the renewal time, see the property.

  Initializes a new instance of the class with default values.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the renewal time of the sponsored object.

  The by which to increase the lifetime of the sponsored objects when renewal is requested.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added

  Empties the list objects registered with the current .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Frees the resources of the current before the garbage collector reclaims them.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object

  For more information, see .

  Initializes a new instance of , providing a lease for the current object.

  An for the current object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Registers the specified for sponsorship.

  true if registration succeeded; otherwise, false.

  The object to register for sponsorship with the .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TimeSpan ``

  The method is called by the distributed garbage collector to renew the lease for the specified object.

  Requests a sponsoring client to renew the lease for the specified object.

  The additional lease time for the specified object.

  The lifetime lease of the object that requires lease renewal.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TimeSpan To be added. To be added.

  Gets or sets the by which to increase the lifetime of the sponsored objects when renewal is requested.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Unregisters the specified from the list of objects sponsored by the current .

  The object to unregister.